/*
 * Timer.cpp
 *
 *  Created on: 26/mag/2014
 *      Author: studente
 */

#include "Timer.h"

Timer::Timer() : milliseconds(0) {
}

Timer::~Timer() {
}

void Timer::tick() {
	milliseconds += 10;
	notify();
}

void Timer::subscribe(Observer* o) {
	observers.push_back(o);
}

void Timer::unsubscribe(Observer* o) {
	observers.remove(o);
}

void Timer::notify() {
	std::list<Observer*>::iterator itr;
	for (itr=observers.begin(); itr!=observers.end(); itr++) {
		(*itr)->update(milliseconds);
	}
}









